#include "LerpSmoother.hpp"

LerpSmoother::LerpSmoother(float nFactor) :
    factor(nFactor),
    prevValue(0.f)
{
    
}

float LerpSmoother::smooth(float value)
{
    return prevValue = (1.f - factor) * prevValue + factor * value;
}